Page MenuHomePhabricator

Remove mixups of OATH and OAUTH
Closed, ResolvedPublic

Description

I notice several usages of OAuth in the extensions which likely are intended to refer to OATH

  • message key: oathauth-failedtovalidateoauth
    • I also notice a few other keys in the i18n with this pattern, but I can't find where they are used...
    • oathauth-failedtoenableoauth, oathauth-failedtovalidateoauth, oathauth-failedtodisableoauth, oathauth-failedtoenableoauth, oathauth-failedtovalidateoauth, oathauth-failedtodisableoauth
  • memckey for used tokens in OATHAuthKey.php
  • throttle limiter uses oauthauth-throttled instead of oathauth-throttled in special/SpecialOATHDisable.php
  • Some more in message keys that i haven't fully figured out...

Event Timeline

TheDJ created this task.Nov 24 2016, 9:59 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 24 2016, 9:59 AM

Change 323379 had a related patch set uploaded (by TheDJ):
typo in comment: OAuth -> Oath

https://gerrit.wikimedia.org/r/323379

Change 323381 had a related patch set uploaded (by TheDJ):
OAuth -> OATH for used tokens memcache

https://gerrit.wikimedia.org/r/323381

TheDJ updated the task description. (Show Details)Nov 24 2016, 10:12 AM

Change 323380 had a related patch set uploaded (by TheDJ):
Disable page was using the OAuth throttler instead of OATH

https://gerrit.wikimedia.org/r/323380

Change 323380 merged by jenkins-bot:
Disable page was using the OAuth throttler instead of OATH

https://gerrit.wikimedia.org/r/323380

Change 323381 merged by jenkins-bot:
OAuth -> OATH for used tokens memcache

https://gerrit.wikimedia.org/r/323381

TheDJ updated the task description. (Show Details)Dec 5 2016, 9:21 AM

Change 323379 merged by jenkins-bot:
typo in comment: OAuth -> Oath

https://gerrit.wikimedia.org/r/323379

Change 349516 had a related patch set uploaded (by TheDJ):
[mediawiki/extensions/OATHAuth@master] More unused oathauth message keys

https://gerrit.wikimedia.org/r/349516

Change 349517 had a related patch set uploaded (by TheDJ):
[mediawiki/extensions/OATHAuth@master] OathAuth: rename failedtovalidateoauth

https://gerrit.wikimedia.org/r/349517

TheDJ claimed this task.Apr 21 2017, 7:03 PM
TheDJ triaged this task as Lowest priority.

There should now be patches for all of these remaining message key issues

Change 349516 merged by jenkins-bot:
[mediawiki/extensions/OATHAuth@master] More unused oathauth message keys

https://gerrit.wikimedia.org/r/349516

Change 349517 merged by jenkins-bot:
[mediawiki/extensions/OATHAuth@master] OathAuth: rename failedtovalidateoauth

https://gerrit.wikimedia.org/r/349517

TheDJ closed this task as Resolved.May 10 2017, 3:23 PM
TheDJ removed a project: Patch-For-Review.